import { Directive, Input, Output, TemplateRef } from '@angular/core';

@Directive({
  selector: '[ofUITemplate]',
})
export class UITemplateDirective {

  @Input() type: string;

  // tslint:disable-next-line:no-input-rename
  @Input('ofUITemplate') name: string;

  constructor(public template: TemplateRef<any>) { }

  getType(): string {
    return this.name;
  }
}
